/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { WebDockManagerPaneDescription } from "./WebDockManagerPaneDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebSplitPaneDescription = /*@__PURE__*/ (() => {
    class WebSplitPaneDescription extends WebDockManagerPaneDescription {
        constructor() {
            super();
            this.aa = null;
            this.ac = null;
            this.ab = null;
            this.k = null;
            this.v = 0;
            this.m = null;
            this.u = 0;
            this.t = 0;
            this.q = false;
            this.p = false;
        }
        get_type() {
            return "WebSplitPane";
        }
        get id() {
            return this.aa;
        }
        set id(a) {
            this.aa = a;
            this.e("Id");
        }
        get paneType() {
            return this.ac;
        }
        set paneType(a) {
            this.ac = a;
            this.e("PaneType");
        }
        get orientation() {
            return this.ab;
        }
        set orientation(a) {
            this.ab = a;
            this.e("Orientation");
        }
        get panes() {
            return this.k;
        }
        set panes(a) {
            this.k = a;
            this.e("Panes");
        }
        get size() {
            return this.v;
        }
        set size(a) {
            this.v = a;
            this.e("Size");
        }
        get floatingLocation() {
            return this.m;
        }
        set floatingLocation(a) {
            this.m = a;
            this.e("FloatingLocation");
        }
        get floatingWidth() {
            return this.u;
        }
        set floatingWidth(a) {
            this.u = a;
            this.e("FloatingWidth");
        }
        get floatingHeight() {
            return this.t;
        }
        set floatingHeight(a) {
            this.t = a;
            this.e("FloatingHeight");
        }
        get floatingResizable() {
            return this.q;
        }
        set floatingResizable(a) {
            this.q = a;
            this.e("FloatingResizable");
        }
        get allowEmpty() {
            return this.p;
        }
        set allowEmpty(a) {
            this.p = a;
            this.e("AllowEmpty");
        }
    }
    WebSplitPaneDescription.$t = /*@__PURE__*/ markType(WebSplitPaneDescription, 'WebSplitPaneDescription', WebDockManagerPaneDescription.$);
    WebSplitPaneDescription.__marshalByValue1 = true;
    WebSplitPaneDescription.__marshalByValueAlias1 = "SplitPane";
    return WebSplitPaneDescription;
})();
